void initPoly1(Polygon& p)
{
	p.nb=90;
	p.p[0]={457.888489,250.000000};
	p.p[1]={461.038269,273.794373};
	p.p[2]={462.098755,297.708679};
	p.p[3]={458.933167,320.202209};
	p.p[4]={445.752594,337.187347};
	p.p[5]={429.762878,349.331512};
	p.p[6]={411.802368,356.302551};
	p.p[7]={398.585785,362.648682};
	p.p[8]={396.368134,375.219177};
	p.p[9]={391.321472,384.060120};
	p.p[10]={388.516205,388.516205};
	p.p[11]={388.516205,388.516205};
	p.p[12]={388.516205,388.516205};
	p.p[13]={386.561371,390.614868};
	p.p[14]={378.687439,396.368134};
	p.p[15]={369.273224,402.356812};
	p.p[16]={357.174652,407.008606};
	p.p[17]={343.207825,410.993347};
	p.p[18]={337.078552,434.325165};
	p.p[19]={323.334625,451.729309};
	p.p[20]={303.090027,459.983093};
	p.p[21]={280.028595,463.164581};
	p.p[22]={256.515411,480.964722};
	p.p[23]={230.559830,479.809906};
	p.p[24]={206.946777,468.574554};
	p.p[25]={187.165695,453.761810};
	p.p[26]={168.946243,443.799957};
	p.p[27]={159.159210,422.696960};
	p.p[28]={149.399277,409.387451};
	p.p[29]={136.601776,404.665222};
	p.p[30]={126.444084,398.585785};
	p.p[31]={118.512169,392.031616};
	p.p[32]={112.315010,387.134521};
	p.p[33]={112.315010,387.134521};
	p.p[34]={112.315010,387.134521};
	p.p[35]={112.315010,386.233093};
	p.p[36]={105.961411,379.492981};
	p.p[37]={102.305794,368.760590};
	p.p[38]={101.563614,354.673645};
	p.p[39]={88.360321,347.426270};
	p.p[40]={73.982582,337.533051};
	p.p[41]={57.362782,325.009033};
	p.p[42]={46.442875,306.898834};
	p.p[43]={38.114288,285.654480};
	p.p[44]={40.227848,261.785858};
	p.p[45]={35.979435,237.975494};
	p.p[46]={24.978146,212.135147};
	p.p[47]={16.942471,184.855316};
	p.p[48]={21.568779,161.053650};
	p.p[49]={35.979435,143.568405};
	p.p[50]={55.421864,132.720673};
	p.p[51]={71.315697,123.996590};
	p.p[52]={84.257988,116.727325};
	p.p[53]={94.713890,110.395462};
	p.p[54]={104.510147,106.044449};
	p.p[55]={105.961411,105.961411};
	p.p[56]={105.961411,105.961411};
	p.p[57]={105.961411,105.961411};
	p.p[58]={113.132362,101.563614};
	p.p[59]={122.671585,96.262871};
	p.p[60]={133.723770,90.772820};
	p.p[61]={145.806732,84.257988};
	p.p[62]={159.613388,77.476616};
	p.p[63]={167.718201,52.473759};
	p.p[64]={182.934860,31.644978};
	p.p[65]={205.185303,21.568779};
	p.p[66]={230.753815,21.568779};
	p.p[67]={256.418060,21.568779};
	p.p[68]={282.050446,21.568779};
	p.p[69]={306.664673,24.978146};
	p.p[70]={325.573639,41.276711};
	p.p[71]={332.407166,74.862671};
	p.p[72]={347.021393,81.746788};
	p.p[73]={359.894684,88.360321};
	p.p[74]={371.080444,94.713890};
	p.p[75]={380.637207,100.817703};
	p.p[76]={389.327057,105.961411};
	p.p[77]={392.745331,106.681602};
	p.p[78]={392.745331,106.681602};
	p.p[79]={392.745331,106.681602};
	p.p[80]={397.842865,109.753845};
	p.p[81]={409.387451,113.642807};
	p.p[82]={421.833466,119.726715};
	p.p[83]={436.182343,127.680069};
	p.p[84]={453.761810,137.407501};
	p.p[85]={473.001221,150.676193};
	p.p[86]={482.125336,172.005219};
	p.p[87]={479.809906,198.307449};
	p.p[88]={469.672913,225.232193};
	p.p[89]={457.888489,250.000076};
}
